Bug 127162 - zlib-devel is missing from BuildRequires in spec file
Summary: zlib-devel is missing from BuildRequires in spec file
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freeradius (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-02 21:08 UTC by Paul Bender
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-05 10:01:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:609 high SHIPPED_LIVE Moderate: freeradius security update 2004-11-12 05:00:00 UTC

Description Paul Bender 2004-07-02 21:08:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
FreeRadius module rlm_sql_mysql requires zlib-devel, but the
freeradius.spec file does not list zlib-devel under BuildRequires.

Version-Release number of selected component (if applicable):
freeradius-1.0.0-0.pre3.1

How reproducible:
Always

Steps to Reproduce:
1. Remove zlib-devel (if it is installed).
2. Build the freeradius source RPM.
    

Actual Results:  Build fails while building rlm_sql_mysql because it
cannot link to -lz.

Expected Results:  Build to to be successful.

Additional info:

Comment 1 Thomas Woerner 2004-07-05 10:01:40 UTC
Fixed in rawhide in rpm freeradius-1.0.0-0.pre3.2 or newer.

Comment 2 Josh Bressers 2004-11-12 16:42:48 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-609.html



Note You need to log in before you can comment on or make changes to this bug.